Wind River Support Network

HomeDefectsLIN5-21691
Fixed

LIN5-21691 : Security Advisory - openssl - CVE-2016-2177

Created: Jun 15, 2016    Updated: May 29, 2018
Resolved Date: Jun 30, 2016
Found In Version: 5.0.1.35
Fix Version: 5.0.1.37
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

A common idiom in the codebase is:

if (p + len > limit)
{
	return; /* Too long */
}

where p points to some malloc'd data of SIZE bytes and limit == p + SIZE. 'len' could be from some externally supplied data, e.g. TLS message. This idiom is vulnerable to integer overflow vulnerability.

Upstream commit: 6f35f6deb5ca7daebe289f86477e061ce3ee5f46

Security Notices


Other Downloads


Live chat
Online